BuildDir = _WORKING_DIR .. "/build_".._ACTION.."/"
BuildBin = _WORKING_DIR .. "/bin_".._ACTION.."_"
ExtDir = "../ext/"

solution "LuaBix"
   location  (BuildDir)
   configurations { "Debug", "Release" }

project "Bix"
   kind "ConsoleApp"
   language "C++"
   targetdir (BuildDir)

   includedirs
   {
      ExtDir.."lua/include"
   }

   libdirs
   {
      ExtDir.."lua"
   }

   links { "lua52" }

   files { "**.h", "**.cpp" }

   filter "configurations:Debug"
      --targetdir (BuildBin.."debug")
      defines { "DEBUG" }
      flags { "Symbols" }

   filter "configurations:Release"
      --targetdir (BuildBin.."release")
      defines { "NDEBUG" }
      optimize "On"